package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Philip
 * @since 2021-6-23
 */

@TableName("BOM_OPERATION")

public class BomOperation extends Model<BomOperation> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("BOM_COMPONENT_BO")
   private String bomComponentBo;
   @TableField("OPERATION_BO")
   private String operationBo;
   @TableField("QTY")
   private Double qty;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getBomComponentBo() {
      return bomComponentBo;
   }

   public void setBomComponentBo(String bomComponentBo) {
      this.bomComponentBo = bomComponentBo;
   }

   public String getOperationBo() {
      return operationBo;
   }

   public void setOperationBo(String operationBo) {
      this.operationBo = operationBo;
   }

   public Double getQty() {
      return qty;
   }

   public void setQty(Double qty) {
      this.qty = qty;
   }

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "BomOperation{" +
         "handle = " + handle +
         ", bomComponentBo = " + bomComponentBo +
         ", operationBo = " + operationBo +
         ", qty = " + qty +
         "}";
   }
}